org.bdgenomics.adam.rdd.fragment

# Tab5InFormatter

###
Related Docs: object Tab5InFormatter | package fragment

#### class Tab5InFormatter extends InFormatter[Fragment, Fragment, FragmentDataset, Tab5InFormatter] with Logging

Linear Supertypes
Logging, InFormatter[Fragment, Fragment, FragmentDataset, Tab5InFormatter], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tab5InFormatter
2. Logging
3. InFormatter
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val companion: Tab5InFormatter.type

   Attributes
     protected
   Definition Classes
     Tab5InFormatter → InFormatter

7. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

8. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

9. #### def debug(msg: ⇒ Any): Unit

   Attributes
     protected
   Definition Classes
     Logging

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

13. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

14. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

22. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

23. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

26. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

28. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

35. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

41. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def write(os: OutputStream, iter: Iterator[Fragment]): Unit

    Writes alignments to an output stream in Bowtie tab5 format.

    Writes alignments to an output stream in Bowtie tab5 format.

    In Bowtie tab5 format, each alignment or pair is on a single line. An unpaired alignment line is [name]\t[seq]\t[qual]\n. A paired-end read line is [name]\t[seq1]\t[qual1]\t[seq2]\t[qual2]\n.

    The read name for a paired-end read line is the name of the first read with the suffix trimmed.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      Tab5InFormatter → InFormatter

### Inherited from Logging

### Inherited from InFormatter[Fragment, Fragment, FragmentDataset, Tab5InFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped